<p>title: Memasang dan mengatur Template Html
description:</p>
<hr />
<p>Untuk memasang template html pada localhost, Kamu bisa mendowload terlebih dahulu templatenya <a href="https://drive.google.com/drive/folders/1v5kVrI2HgtnMh6Et38shK9qGB8kyDlsa?usp=sharing">starter</a> setelah Kamu download kemudian extrack file tersebut dan beri nama cleanblog. Kemudian pindahkan folder tersebut pada xampp Kamu pada bagian htdoc agar bisa diakses melalui localhost Kamu.
Ada 3 script penting didalam folder tersebut :<img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/cleanblog.png" alt="" /></p>
<ol>
<li>Index.html  adalah tampilan utama yang berisi list post.</li>
<li>About.html adalah tampilan page layout yang berisikan info tentang Kamu ataupun bisa digunakan untuk halaman-halaman yang lainya sesuai dengan keinginan kita.</li>
<li>Post.html adalah tampilan berupa content dari suatu artikel, bisa dikatakan jika kita mengklik judul artikel pada list post didalam index.html maka detailnya akan di arahkan pada page layout tersebut.</li>
</ol>
<h2>Praktek</h2>
<ul>
<li>
<p>Langkah pertama untuk memasang template html cleanblog, Kamu bisa merubah terlebih dahulu masing masing ekstensi file <code>.html</code> menjadi <code>.php</code>. Dikarenakan bila kita nantinya ingin menyisipkan kode php didalam script html tersebut, kode php tersebut dapat berjalan sebagaimana mestinya. </p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/cleanphp.png" alt="" /></p>
</li>
<li>
<p>Selanjutnya kita buka Text Editor untuk mengganti isi script href yang berekstensi <code>.html</code> menjadi <code>.php</code>, buka file index.php kemudian rubah semua url yang berekstensi <code>.html</code> menjadi <code>.php</code>.
​
Contoh
<img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/rubhphp.png" alt="" /></p>
<p>Periksa tiap href dan rubah ekstensinya filenya dan lakukan juga pada file <code>about.php</code> dan <code>post.php</code> untuk mempercepat menemukan ekstensi pada href yang sama kita bisa menggunakan ctrl+D, jika Kamu menggunakan Text Editor sublime text3, caranya blok ekstensi .html kemudian ctrl+D kemudian rubah menjadi <code>.php</code> kemudian save.</p>
</li>
<li>
<p>Kemudian kita akses kembali <code>index.php</code> pada browser dan akses bagian list post dan about jika Kamu di arahkan dengan benar pada masing masing file.php maka yang tadi Kamu lakukan berhasil namun jika tidak kemungkinan masih ada yang salah dan lupa mengganti <code>.html</code> menjadi <code>.php</code>.</p>
</li>
<li>
<p>Selanjutnya memisahkan bagian berulang pada header dan footer disetiap masing masing file.php seperti <code>index.php</code>, <code>about.php</code>, dan <code>post.php</code>. Sehingga nantinya lebih dinamis blog yang akan kita buat, terlebih lagi menjadi efisien ketika kita akan mengcoding atau merubah pada bagian tersebut kita tidak perlu merubah secara manual kodingan tersebut pada tiap tiap script.</p>
</li>
<li>
<p>Buka file <code>index.php</code> pada Text Editor Kamu selanjutnya cut potongan blok kode dari <code>&lt;!DOCTYPE html&gt;</code> sampai tutup nav <code>&lt;/nav&gt;</code>, buat folder baru dengan nama shared simpan file tersebut dengan nama header.php.</p>
</li>
<li>
<p>Lakukan hal yang sama cut pada bagian blok kode element <code>&lt;header</code> sampai<code>&lt;/header&gt;</code> pastekan pada file header.php tentunya dibawah blok kode element <code>&lt;/nav&gt;</code>.</p>
</li>
<li>
<p>Beralih pada footer buat terlebih dahulu file baru dengan nama footer.php , kembali ke index.php blok kembali potongan kode dari <code>&lt;!-- Footer --&gt;</code> sampai tutup <code>&lt;/html&gt;</code> kemudian cut dan pastekan di file footer.php selanjutnya simpan di folder shared seperti header.php.</p>
</li>
<li>
<p>Setelah semua bagian berulang dipindahkan pada masing masing file pada folder shared dengan nama script header.php dan footer.php, kita kembali bekerja pada file index.php kita akan menggunakan fungsi <code>include</code> yang nantinya akan memanggil header dan footer secara dinamis dari header.php dan footer.php menuju index.php, kemudian kita buang class post-preview dikarenakan kita hanya memerlukan satu class post-preview kita sisakan satu saja.</p>
<p>Seperti berikut:
<img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/sisiphtmlinclude.png" alt="" /></p>
</li>
<li>
<p>Sekarang dalam folder clean blog kita telah memiliki folder shared yang berisi header.php dan footer.php, setelah itu kita buat terlebih dahulu file baru dengan nama function.php copykan script tersebut, script ini berisikan beberapa fungsi untuk mengambil sebuah file json didalam suatu folder yang tentunya file json akan dibuat terlebih dahulu nantinya.</p>
<pre><code>&lt;?php
$post_folder = 'posts';
function get_posts()
{
// get global var
global $post_folder;
// get post file list
chdir($post_folder);
$files = glob('*.json');
// parse post content
$posts = [];
foreach ($files as $file) {
    $posts[$file] = get_post_content($file);
}
krsort($posts);
return $posts;
}
function get_post_content($filename)
{
global $post_folder;
$file = $filename;
if(!file_exists($file)) return false;
$post = file_get_contents($file);
$post = json_decode($post, true);
$fileinfo = pathinfo($filename);
$post['slug'] = $fileinfo['filename'];
list($date_created, $slugtitle) = explode("-", $post['slug'], 2);
$post['date_created'] = date("Y-m-d H:i:s", $date_created);
return $post;
}
function write_post($filename, $data)
{
global $post_folder;
$content = json_encode($data);
if(file_put_contents($post_folder.'/'.$filename.'.json', $content))
    return true;
return false;
}</code></pre>
</li>
<li>
<p>Untuk menampilkan data json yang telah dibuat di functions.php, kita beralih pada post.php copy kan potongan kode berikut:</p>
<pre><code>&lt;?php
session_start();
include('functions.php');

$id = $_GET['id'];
$file = $post_folder.'/'.$id.'.json';
if(!file_exists($file))
  die('post tidak ditemukan.');
$post = get_post_content($file);
// deskripsi halaman
$judul = $post['title'];
$subjudul = "";
$banner_url = "assets/img/post-bg.jpg";
?&gt;
&lt;?php include('shared/header.php'); ?&gt;</code></pre>
<p>Pada bagian   <code>&lt;!-- Post Content --&gt;</code> kita cetak content agar data file json bisa ditampilkan pada post.php gunakan fungsi <code>nl2br</code> agar format content sama persis dengan yang saat kita buat pada file json nantinya.</p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/postnew.png" alt="" /></p>
<p>Atau jika kalian terlalu malas mengetiknya tinggal copy script berikut:</p>
<pre><code>&lt;?php
session_start();
include('functions.php');
$id = $_GET['id'];
$file = $post_folder.'/'.$id.'.json';
if(!file_exists($file))
  die('post tidak ditemukan.');
$post = get_post_content($file);
// deskripsi halaman
$judul = $post['title'];
$subjudul = "";
$banner_url = "assets/img/post-bg.jpg";
?&gt;
&lt;?php include('shared/header.php'); ?&gt;
  &lt;!-- Post Content --&gt;
  &lt;article&gt;
      &lt;div class="container"&gt;
          &lt;div class="row"&gt;
              &lt;div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1"&gt;
                  &lt;?php echo nl2br($post['content']); ?&gt;
              &lt;/div&gt;
          &lt;/div&gt;
      &lt;/div&gt;
  &lt;/article&gt;
  &lt;hr&gt;
&lt;?php include('shared/footer.php'); ?&gt;</code></pre>
</li>
<li>
<p>Pada bagian about.php kita hanya menyisipkan potongan kode berikut :</p>
<pre><code>&lt;?php
session_start();
include('functions.php');
$judul = "Tentang Saya";
$subjudul = "Tak kenal maka tak sayang";
$banner_url = "assets/img/about-bg.jpg";
?&gt;
&lt;?php include('shared/header.php'); ?&gt;
&lt;!-- Main Content --&gt;// isi main content biarkan saja atau Kamu bisa memodifikasinya
  &lt;div class="container"&gt;
      &lt;div class="row"&gt;
      &lt;/div&gt;
      &lt;/div&gt;
  &lt;/div&gt;
  &lt;hr&gt;
&lt;?php include('shared/footer.php'); ?&gt;</code></pre>
</li>
<li>
<p>Selanjutnya beralih pada file index.php untuk membuat variabel di dalam file index.php seperti <code>$judul</code>, <code>$subjudul</code>, <code>$banner_url</code>dan <code>$posts</code> tepat di atas <code>&lt;?php include('shared/header.php'); ?&gt;</code> seperti berikut:</p>
</li>
<li>
<pre><code>&lt;?php
session_start();//akan menjalankan perintah baik pada server maupun pada client/user.
include('functions.php');//memanggil fungsi yang ada di file functions.php.
$judul = "Welcome";
$subjudul = "Ini Blog Saya";
$banner_url = "assets/img/home-bg.jpg";// menuju pada image yang ada di folder asset/img.
$posts = get_posts();//membuat variabel posts yang memiliki fungsi ambil data file json.
?&gt;
&lt;?php include('shared/header.php'); ?&gt;</code></pre>
<p>​</p>
</li>
<li>
<p>Pada bagian <code>&lt;!-- Main Content --&gt;</code> kita gunakan fungsi foreach <code>&lt;?php foreach($posts as $post): ?&gt;</code> untuk menggunakan fungsi variabel yang telah dbuat di atas seperti berikut:</p>
<pre><code>&lt;!-- Main Content --&gt;
 &lt;div class="container"&gt;
     &lt;div class="row"&gt;    
         &lt;div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1"&gt;
             &lt;?php foreach($posts as $post): ?&gt;
             &lt;div class="post-preview"&gt;
                 &lt;a href="post.php?id=&lt;?php echo $post['slug']; ?&gt;"&gt;
                     &lt;h2 class="post-title"&gt;
                         &lt;?php echo $post['title']; ?&gt; //mencetak dat
                     &lt;/h2&gt;
                 &lt;/a&gt;
                 //melakukan pengecekan kontent 
                 &lt;p&gt;&lt;?php if(empty($post['intro'])){
                     echo substr($post['content'], 0, 200) . '...';//kata yang akan di ambil dari huruf pertama sampai huruf ke 200 dalam sebuah kalimat content.
                     } else {
                     echo $post['intro'];// paragraf awal atau beberapa baris kalimat yang di ambil dari content pada fie json.
                         }; ?&gt;&lt;/p&gt;
                 &lt;p class="post-meta"&gt;Posted on &lt;?php echo date("d F Y", strtotime($post['date_created'])); ?&gt;   </code></pre>
</li>
</ul>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;  Next Lesson&quot; di bawah editor.</p>